Bug 297092 - Podcast "delete downloaded episode" deletes multiple files
Summary: Podcast "delete downloaded episode" deletes multiple files
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Podcast (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 06:58 UTC by georgeccoffey
Modified: 2012-04-02 07:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description georgeccoffey 2012-03-30 06:58:53 UTC
This has been happening to me for I think the previous 4 versions of Amarok I have. I can reporduce it almost every time, here's how:

1) Go to Podcasts section, expand any podcast with multiple episodes.
2) Download more than one episode. I'll call them "episode A" and "episode B"
3) Double Click "episode A", it should start playing
4) In the Playlist side, right click "episode B", select "Delete Downloaded Episode"
-- "Episode a" will also be deleted. 
If it doesn't happen right away, start at step 2, and it should happen.

I noticed that if I go to my music collection and queue tracks, then go back to the podcast section it won't happen. Also if I were to queue or start playing "Episode B" it won't happen.

This is very annoying, as I often have it delete episodes when I have no internet connection.
Thanks for taking a look.
Comment 1 Myriam Schweingruber 2012-03-30 21:13:50 UTC
Could you please upgrade to Amarok 2.5 and test again?
Comment 2 georgeccoffey 2012-04-02 05:29:53 UTC
I just tried this in Version 2.5.0, still happening
Comment 3 Bart Cerneels 2012-04-02 07:42:34 UTC
Git commit 42529bca90680e9f4546e1a7135b8dc8939ee2b6 by Bart Cerneels.
Committed on 02/04/2012 at 09:40.
Pushed by shanachie into branch 'master'.

Improve activate (double click) handling, fix bug.
FIXED-IN:2.6

M  +2    -0    src/browsers/playlistbrowser/PlaylistBrowserModel.cpp
M  +11   -8    src/browsers/playlistbrowser/PlaylistBrowserView.cpp

http://commits.kde.org/amarok/42529bca90680e9f4546e1a7135b8dc8939ee2b6